package com.example.android.courtcounter;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;


public class DataBaseHelper extends SQLiteOpenHelper {

    public static final String DATABASE_NAME = "Data_db";
    private static final int DATABASE_VERSION = 1;

    public static final String 	DATA_TABLE="Data_Table";
    public static final String DID="_id";
    public static final String FNAME="FName";
    public static final String RESULTS="Results";

    SQLiteDatabase db;

    private static final String CREATE_TABLE = "CREATE TABLE " + DATA_TABLE +
            " (" + DID + " INTEGER PRIMARY KEY AUTOINCREMENT, " + FNAME + " TEXT NOT NULL, " +
            RESULTS + " TEXT NOT NULL);";

    public DataBaseHelper(Context c) {
        super(c, DATABASE_NAME, null, DATABASE_VERSION);
        Log.d("INFORMATION", "DataBase Created");

    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(CREATE_TABLE);
        Log.d("INFORMATION", "Table Created");
        //InsertCourse(db);

    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        // on upgrade drop older tables
        db.execSQL("DROP TABLE IF EXISTS " + DATA_TABLE);

        // Create tables again
        onCreate(db);

    }


    public void adddata(DataEntry q)
    {
        db = this.getWritableDatabase();

        ContentValues values = new ContentValues();

        values.put(FNAME, q.getr());
        values.put(RESULTS, q.getresults());

        // Insert Data
        db.insert(DATA_TABLE, null, values);

        Log.d("INFORMATION", "Data Added");

        db.close();
    }


    public Cursor getAllData() {
        SQLiteDatabase db=this.getReadableDatabase();
        Cursor cur = db.rawQuery("SELECT " + DID + " as _id , " + FNAME + " , " + RESULTS + " from " + DATA_TABLE, new String[]{});
        return  cur;
    }


    public int deleteall() {
        SQLiteDatabase db=this.getReadableDatabase();

        return db.delete(DATA_TABLE, null, null);
    }}